#include <iostream>
using namespace std;
int main(){
    int t;
    cin>>t;
    for(int y=0;y<t;y++){
        int n;
        cin>>n;
        int sumaa=0;
        int sumab=0;
        for(int z=0;z<n;z++){
            int w;
            cin>>w;
            if(w<0){
                sumaa++;
            }
        }
        for(int z=0;z<n;z++){
            int w;
            cin>>w;
            if(w<0){
                sumab++;
            }
        }
        if((sumaa%2)==(sumab%2)){
            cout<<"DA"<<endl;
        }
        else{
            cout<<"NE"<<endl;
        }
    }
    return 0;
}